This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 497869 - Review Request: perl-MooseX-Role-XMLRPC-Client - Provide the needed bits to be a XML-RPC client
Review Request: perl-MooseX-Role-XMLRPC-Client - Provide the needed bits to b...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MooseX-Ro...
:
Depends On:
Blocks: 484485
  Show dependency treegraph
 
Reported: 2009-04-27 12:35 EDT by Chris Weyl
Modified: 2009-05-01 23:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-01 23:55:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-04-27 12:35:11 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Role-XMLRPC-Client.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Role-XMLRPC-Client-0.03-1.fc10.src.rpm

Description:
This is a Moose role that provides the methods and attributes needed
to enable a class to serve as an XML-RPC client.  It is parameterized
through MooseX::Role::Parameterized, so you can customize how it embeds
in your class. You can even embed it multiple times with different
paramaterization, if it strikes your fancy :-)

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1323070

*rt-0.08
Comment 1 Parag AN(पराग) 2009-04-28 00:19:29 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1323070
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
a36fcf49cb66435a59978e52050aead4  MooseX-Role-XMLRPC-Client-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=30,  2 wallclock secs ( 0.03 usr  0.01 sys +  1.22 cusr  0.10 csys =  1.36 CPU)
+ Package perl-MooseX-Role-XMLRPC-Client-0.03-1.fc12.noarch =>
Provides: perl(MooseX::Role::XMLRPC::Client) = 0.03
Requires: perl(HTTP::Cookies) perl(MooseX::Role::Parameterized) perl(MooseX::Types::Moose) perl(MooseX::Types::Path::Class) perl(MooseX::Types::URI) perl(RPC::XML::Client) perl(namespace::clean)

APPROVED.
Comment 2 Chris Weyl 2009-04-28 00:41:29 EDT
New Package CVS Request
=======================
Package Name: perl-MooseX-Role-XMLRPC-Client
Short Description: Provide the needed bits to be a XML-RPC client
Owners: cweyl
Branches: F-9 F-10 F-11 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-28 23:19:53 EDT
cvs done.
Comment 4 Chris Weyl 2009-05-01 23:55:21 EDT
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.